%define TYPE STABLE

Name: autoconf
Summary: A GNU tool for automatically configuring source code
Version: 2.59
Release: 3.11
URL: http://www.gnu.org/directory/autoconf.html
Group: Development/Tools
License: GPL
Vendor: InterNetX GmbH
Packager: InterNetX Package Maintainer <cs@internetx.de>

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %{name}-%{version}.tar.gz

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.
You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your
source code packages.
Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%prep

%setup

%build
./configure \
--prefix=/usr \
--mandir=/usr/share/man \
--infodir=/usr/share/info
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
# compress manpages
find $RPM_BUILD_ROOT%{_mandir} -type f -exec gzip -9 {} \;
find $RPM_BUILD_ROOT%{_infodir} -type f -exec gzip -9 {} \;
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
	       

%files -f ../file.list.%{name}

#%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
#rm -rf %{_builddir}/%{name}-%{version}

